Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset"
payload = {
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', bands: [{frequency: 11010, gain: 0, q: 322}], precut: -120})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'bands' => [
[
'frequency' => 11010,
'gain' => 0,
'q' => 322
]
],
'precut' => -120
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}"
response = http.request(request)
puts response.read_body{
"uri": "<string>",
"rkey": "<string>",
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"createdAt": "2023-11-07T05:31:56Z",
"precut": -120,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.equalizer
Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
POST
/
app.rocksky.equalizer.putPreset
Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset"
payload = {
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', bands: [{frequency: 11010, gain: 0, q: 322}], precut: -120})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'bands' => [
[
'frequency' => 11010,
'gain' => 0,
'q' => 322
]
],
'precut' => -120
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"bands\": [\n {\n \"frequency\": 11010,\n \"gain\": 0,\n \"q\": 322\n }\n ],\n \"precut\": -120\n}"
response = http.request(request)
puts response.read_body{
"uri": "<string>",
"rkey": "<string>",
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"createdAt": "2023-11-07T05:31:56Z",
"precut": -120,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Body
application/json
Response
Success